Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RegistryErrorListType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryErrorListTypeImpl

    public interface RegistryErrorListType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Error List Type'.

The following features are supported:

- `Registry Error`
- `Highest Severity`

See Also:
  `RegistryPackage.getRegistryErrorListType()`

Method Summary
`ErrorType` | `getHighestSeverity()` Returns the value of the 'Highest Severity' attribute.
`org.eclipse.emf.common.util.EList` | `getRegistryError()` Returns the value of the 'Registry Error' containment reference list.
`boolean` | `isSetHighestSeverity()` Returns whether the value of the '`Highest Severity`' attribute is set.
`void` | `setHighestSeverity(ErrorType value)` Sets the value of the '`Highest Severity`' attribute.
`void` | `unsetHighestSeverity()` Unsets the value of the '`Highest Severity`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRegistryError

    org.eclipse.emf.common.util.EList getRegistryError()

  Returns the value of the 'Registry Error' containment reference list. The list contents are of type `RegistryErrorType`.

  If the meaning of the 'Registry Error' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Error' containment reference list.
  See Also:
    `RegistryPackage.getRegistryErrorListType_RegistryError()`

### getHighestSeverity

    ErrorType getHighestSeverity()

  Returns the value of the 'Highest Severity' attribute. The default value is `"Warning"`. The literals are from the enumeration `ErrorType`.

  If the meaning of the 'Highest Severity' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Highest Severity' attribute.
  See Also:
    `ErrorType`, `isSetHighestSeverity()`, `unsetHighestSeverity()`, `setHighestSeverity(ErrorType)`, `RegistryPackage.getRegistryErrorListType_HighestSeverity()`

### setHighestSeverity

    void setHighestSeverity(ErrorType value)

  Sets the value of the '`Highest Severity`' attribute.

  Parameters:
    `value` - the new value of the 'Highest Severity' attribute.
  See Also:
    `ErrorType`, `isSetHighestSeverity()`, `unsetHighestSeverity()`, `getHighestSeverity()`

### unsetHighestSeverity

    void unsetHighestSeverity()

  Unsets the value of the '`Highest Severity`' attribute.

  See Also:
    `isSetHighestSeverity()`, `getHighestSeverity()`, `setHighestSeverity(ErrorType)`

### isSetHighestSeverity

    boolean isSetHighestSeverity()

  Returns whether the value of the '`Highest Severity`' attribute is set.

  Returns:
    whether the value of the 'Highest Severity' attribute is set.
  See Also:
    `unsetHighestSeverity()`, `getHighestSeverity()`, `setHighestSeverity(ErrorType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD